#include "descriptor/descriptor.h"


int main(void) {
	//Attributi
	ITEM FerroVerde, FerroNero, Intonaco, Legno, Marmo, Oro, Vetro;
	
	//Liste di superfici
	ITEM Carro_Armato, Pareti, Quadro, Armadio, Torretta_Carro;
	
	//Superfici Stanza
	ITEM	Tavolino, 
		Parete1, Parete2, Parete3, Pavimento,
		Tela, CorniceAlto, CorniceBasso, CorniceDx, CorniceSx,
		PuntaArmadioAvanti, PuntaArmadioDietro, PuntaArmadio, CorpoArmadio, RigaArmadio,
		PiedeArmadioDS, PiedeArmadioDD, PiedeArmadioAS, PiedeArmadioAD, PomelloS, PomelloD;
	
	//Superfici Carro Armato
	ITEM	CarroLateraleInferiore, CarroLateraleSuperiore, CarroPunta, CarroSopra, CarroSotto,
		CingoloEsternoDx, CingoloEsternoSx, CingoloInternoDx, CingoloInternoSx,
		CingoloSpessoreAvantiSx, CingoloSpessoreAvantiDx,
		CingoloSpessoreDietroSx, CingoloSpessoreDietroDx,
		ParafangoDx, ParafangoSx, ParafangoInternoDx, ParafangoInternoSx,
		ParafangoSpessoreSx, ParafangoSpessoreDx,
		RuotaDx1, RuotaDx2, RuotaDx3, RuotaDx4, RuotaDx5, RuotinoAvantiDx, RuotinoDietroDx,
		RuotaSx1, RuotaSx2, RuotaSx3, RuotaSx4, RuotaSx5, RuotinoAvantiSx, RuotinoDietroSx,
		PernoDx1, PernoDx2, PernoDx3, PernoDx4, PernoDx5,
		PernoSx1, PernoSx2, PernoSx3, PernoSx4, PernoSx5,
		BarraLateraleAvantiDx, BarraLateraleAvantiSx,
		BarraLateraleDietroDx, BarraLateraleDietroSx,
		CilindroAvantiDx, CilindroDietroDx, CilindroSx,
		SupportoFanale, Fanale, SferaDietroSx, SferaDietroDx,
		CilindroFrontale, SferettaFrontale, CilindrettoFrontale,
		Numero64, Stella;
	
	//Torretta Carro Armato;
	ITEM	TorrettaBasso, TorrettaSopra, Torretta, TorrettaEntrata, TorrettaSferetta,
		TorrettaBasamentoCannone, TorrettaCannone;	

	//Scena
	ITEM Scena;

	
	set_camera("Camera", 15.82894, 86.2546, 23.82949, 11.502, 10.051, -26.211, -0.001, -0.548, 0.835, 46.000, 91.267);
	set_background(0.6314, 1, 1, TRUE);
	set_ambient_light(1, 1, 1, 1);
	
	//create_distant_light(0.012, -0.895, -0.445, 1, 1, 1, 1, "Luce_Distante");
	//create_point_light(4.19967,5.84281,30.63714,1,1,1,1.5,0, "Lampadario");
	create_point_light(4.19967,5.84281,15.63714,1,1,1,1.5,0, "Lampadario");
	//create_warn_light(4.90498,0.08185,-35.53066,-0.66958,-0.63980,-0.37724,1,1,1,1,0,0,8,0,0,0,0,0,"Fanale");
	//create_warn_light(7.363, 1.871, -36.019,6.058,0.746,-35.391,1,1,1,1,0,0,8,0,0,0,0,0,"Fanale");
	
	////////////////////////
	/* Carico gli oggetti */
	////////////////////////
	//Pareti
	Parete1 = read_nurbs("surParete1.db");
	Parete2 = read_nurbs("surParete2.db");
	Parete3 = read_nurbs("surParete3.db");
	
	//Pavimento
	Pavimento = read_nurbs("surPavimento.db");
	
	//Tavolino
	Tavolino = read_nurbs("surTavolino.db");
	
	//Armadio
	CorpoArmadio = read_nurbs("surCorpoArmadio.db");
	PuntaArmadioAvanti = read_nurbs("surPuntaArmadioAvanti.db");
	PuntaArmadioDietro = read_nurbs("surPuntaArmadioDietro.db");
	PuntaArmadio = read_nurbs("surPuntaArmadio.db");
	PiedeArmadioDS = read_nurbs("surPiedeArmadioDS.db");
	PiedeArmadioDD = read_nurbs("surPiedeArmadioDD.db");
	PiedeArmadioAD = read_nurbs("surPiedeArmadioAD.db");
	PiedeArmadioAS = read_nurbs("surPiedeArmadioAS.db");
	PomelloD = read_nurbs("surPomelloD.db");
	PomelloS = read_nurbs("surPomelloS.db");
	RigaArmadio = read_nurbs("surRigaArmadio.db");
	
	//Quadro
	Tela = read_nurbs("surTela.db");
	CorniceAlto = read_nurbs("surCorniceAlto.db");
	CorniceBasso = read_nurbs("surCorniceBasso.db");
	CorniceDx = read_nurbs("surCorniceDx.db");
	CorniceSx = read_nurbs("surCorniceSx.db");
	
	//Carro Armato	
	CarroLateraleInferiore = read_nurbs("surCarroLateraleInferiore.db");
	CarroLateraleSuperiore = read_nurbs("surCarroLateraleSuperiore.db");
	CarroPunta = read_nurbs("surCarroPunta.db");
	CarroSopra = read_nurbs("surCarroSopra.db");
	CarroSotto = read_nurbs("surCarroSotto.db");
	CingoloEsternoDx = read_nurbs("surCingoloEsternoDx.db");
	CingoloEsternoSx = read_nurbs("surCingoloEsternoSx.db");
	CingoloInternoDx = read_nurbs("surCingoloInternoDx.db");
	CingoloInternoSx = read_nurbs("surCingoloInternoSx.db");
	CingoloSpessoreAvantiSx = read_nurbs("surCingoloSpessoreAvantiSx.db");
	CingoloSpessoreAvantiDx = read_nurbs("surCingoloSpessoreAvantiDx.db");
	CingoloSpessoreDietroSx = read_nurbs("surCingoloSpessoreDietroSx.db");
	CingoloSpessoreDietroDx = read_nurbs("surCingoloSpessoreDietroDx.db");
	ParafangoDx = read_nurbs("surParafangoDx.db");
	ParafangoSx = read_nurbs("surParafangoSx.db");
	ParafangoInternoDx = read_nurbs("surParafangoInternoDx.db");
	ParafangoInternoSx = read_nurbs("surParafangoInternoSx.db");
	ParafangoSpessoreSx = read_nurbs("surParafangoSpessoreSx.db");
	ParafangoSpessoreDx = read_nurbs("surParafangoSpessoreDx.db");
	RuotaDx1 = read_nurbs("surRuotaDx1.db");
	RuotaDx2 = read_nurbs("surRuotaDx2.db");
	RuotaDx3 = read_nurbs("surRuotaDx3.db");
	RuotaDx4 = read_nurbs("surRuotaDx4.db");
	RuotaDx5 = read_nurbs("surRuotaDx5.db");
	RuotinoAvantiDx = read_nurbs("surRuotinoAvantiDx.db");
	RuotinoDietroDx = read_nurbs("surRuotinoDietroDx.db");
	RuotaSx1 = read_nurbs("surRuotaSx1.db");
	RuotaSx2 = read_nurbs("surRuotaSx2.db");
	RuotaSx3 = read_nurbs("surRuotaSx3.db");
	RuotaSx4 = read_nurbs("surRuotaSx4.db");
	RuotaSx5 = read_nurbs("surRuotaSx5.db");
	RuotinoAvantiSx = read_nurbs("surRuotinoAvantiSx.db");
	RuotinoDietroSx = read_nurbs("surRuotinoDietroSx.db");
	PernoDx1 = read_nurbs("surPernoDx1.db");
	PernoDx2 = read_nurbs("surPernoDx2.db");
	PernoDx3 = read_nurbs("surPernoDx3.db");
	PernoDx4 = read_nurbs("surPernoDx4.db");
	PernoDx5 = read_nurbs("surPernoDx5.db");
	PernoSx1 = read_nurbs("surPernoSx1.db");
	PernoSx2 = read_nurbs("surPernoSx2.db");
	PernoSx3 = read_nurbs("surPernoSx3.db");
	PernoSx4 = read_nurbs("surPernoSx4.db");
	PernoSx5 = read_nurbs("surPernoSx5.db");
	BarraLateraleAvantiDx = read_nurbs("surBarraLateraleAvantiDx.db");
	BarraLateraleAvantiSx = read_nurbs("surBarraLateraleAvantiSx.db");
	BarraLateraleDietroDx = read_nurbs("surBarraLateraleDietroDx.db");
	BarraLateraleDietroSx = read_nurbs("surBarraLateraleDietroSx.db");
	CilindroAvantiDx = read_nurbs("surCilindroAvantiDx.db");
	CilindroDietroDx = read_nurbs("surCilindroDietroDx.db");
	CilindroSx = read_nurbs("surCilindroSx.db");
	SupportoFanale = read_nurbs("surSupportoFanale.db");
	Fanale = read_nurbs("surFanale.db");
	SferaDietroSx = read_nurbs("surSferaDietroSx.db");
	SferaDietroDx = read_nurbs("surSferaDietroDx.db");
	CilindroFrontale = read_nurbs("surCilindroFrontale.db");
	SferettaFrontale = read_nurbs("surSferettaFrontale.db");
	CilindrettoFrontale = read_nurbs("surCilindrettoFrontale.db");
	Numero64 = read_nurbs("surNumero64.db");
	Stella = read_nurbs("surStella.db");

	//Torretta Carro_Armato
	TorrettaBasso = read_nurbs("surTorrettaBasso.db");
	TorrettaSopra = read_nurbs("surTorrettaSopra.db");
	Torretta = read_nurbs("surTorretta.db");
	TorrettaEntrata = read_nurbs("surTorrettaEntrata.db");
	TorrettaSferetta = read_nurbs("surTorrettaSferetta.db");
	TorrettaBasamentoCannone = read_nurbs("surTorrettaBasamentoCannone.db");
	TorrettaCannone = read_nurbs("surTorrettaCannone.db");

	////////////////////////////////////
	/* Carico gli oggetti nelle liste */
	////////////////////////////////////
	//Pareti
	Pareti = create_list(Parete1,"Pareti");
	Pareti = insert_in_list(Pareti, Parete2);
	Pareti = insert_in_list(Pareti, Parete3);
	
	//Armadio
	Armadio = create_list(CorpoArmadio, "Armadio");
	Armadio = insert_in_list(Armadio, PuntaArmadioAvanti);
	Armadio = insert_in_list(Armadio, PuntaArmadioDietro);
	Armadio = insert_in_list(Armadio, PuntaArmadio);
	Armadio = insert_in_list(Armadio, PiedeArmadioDS);
	Armadio = insert_in_list(Armadio, PiedeArmadioDD);
	Armadio = insert_in_list(Armadio, PiedeArmadioAD);
	Armadio = insert_in_list(Armadio, PiedeArmadioAS);
	Armadio = insert_in_list(Armadio, PomelloD);
	Armadio = insert_in_list(Armadio, PomelloS);
	Armadio = insert_in_list(Armadio, RigaArmadio);
	
	//Quadro
	Quadro = create_list(Tela, "Quadro");
	Quadro = insert_in_list(Quadro, CorniceAlto);
	Quadro = insert_in_list(Quadro, CorniceBasso);
	Quadro = insert_in_list(Quadro, CorniceDx);
	Quadro = insert_in_list(Quadro, CorniceSx);
	
	//Carro_Armato
	Carro_Armato = create_list(CarroPunta, "Carro_Armato");
	Carro_Armato = insert_in_list(Carro_Armato, CarroLateraleInferiore);
	Carro_Armato = insert_in_list(Carro_Armato, CarroLateraleSuperiore);
	Carro_Armato = insert_in_list(Carro_Armato, CarroSopra);
	Carro_Armato = insert_in_list(Carro_Armato, CarroSotto);
	Carro_Armato = insert_in_list(Carro_Armato, CingoloEsternoDx);
	Carro_Armato = insert_in_list(Carro_Armato, CingoloEsternoSx);
	Carro_Armato = insert_in_list(Carro_Armato, CingoloInternoDx);
	Carro_Armato = insert_in_list(Carro_Armato, CingoloInternoSx);
	Carro_Armato = insert_in_list(Carro_Armato, CingoloSpessoreAvantiSx);
	Carro_Armato = insert_in_list(Carro_Armato, CingoloSpessoreAvantiDx);
	Carro_Armato = insert_in_list(Carro_Armato, CingoloSpessoreDietroSx);
	Carro_Armato = insert_in_list(Carro_Armato, CingoloSpessoreDietroDx);
	Carro_Armato = insert_in_list(Carro_Armato, ParafangoDx);
	Carro_Armato = insert_in_list(Carro_Armato, ParafangoSx);
	Carro_Armato = insert_in_list(Carro_Armato, ParafangoInternoDx);
	Carro_Armato = insert_in_list(Carro_Armato, ParafangoInternoSx);
	Carro_Armato = insert_in_list(Carro_Armato, ParafangoSpessoreSx);
	Carro_Armato = insert_in_list(Carro_Armato, ParafangoSpessoreDx);
	Carro_Armato = insert_in_list(Carro_Armato, RuotaDx1);
	Carro_Armato = insert_in_list(Carro_Armato, RuotaDx2);
	Carro_Armato = insert_in_list(Carro_Armato, RuotaDx3);
	Carro_Armato = insert_in_list(Carro_Armato, RuotaDx4);
	Carro_Armato = insert_in_list(Carro_Armato, RuotaDx5);
	Carro_Armato = insert_in_list(Carro_Armato, RuotinoAvantiDx);
	Carro_Armato = insert_in_list(Carro_Armato, RuotinoDietroDx);
	Carro_Armato = insert_in_list(Carro_Armato, RuotaSx1);
	Carro_Armato = insert_in_list(Carro_Armato, RuotaSx2);
	Carro_Armato = insert_in_list(Carro_Armato, RuotaSx3);
	Carro_Armato = insert_in_list(Carro_Armato, RuotaSx4);
	Carro_Armato = insert_in_list(Carro_Armato, RuotaSx5);
	Carro_Armato = insert_in_list(Carro_Armato, RuotinoAvantiSx);
	Carro_Armato = insert_in_list(Carro_Armato, RuotinoDietroSx);
	Carro_Armato = insert_in_list(Carro_Armato, PernoDx1);
	Carro_Armato = insert_in_list(Carro_Armato, PernoDx2);
	Carro_Armato = insert_in_list(Carro_Armato, PernoDx3); 
	Carro_Armato = insert_in_list(Carro_Armato, PernoDx4);
	Carro_Armato = insert_in_list(Carro_Armato, PernoDx5);
	Carro_Armato = insert_in_list(Carro_Armato, PernoSx1);
	Carro_Armato = insert_in_list(Carro_Armato, PernoSx2);
	Carro_Armato = insert_in_list(Carro_Armato, PernoSx3);
	Carro_Armato = insert_in_list(Carro_Armato, PernoSx4);
	Carro_Armato = insert_in_list(Carro_Armato, PernoSx5);
	Carro_Armato = insert_in_list(Carro_Armato, BarraLateraleAvantiDx);
	Carro_Armato = insert_in_list(Carro_Armato, BarraLateraleAvantiSx);
	Carro_Armato = insert_in_list(Carro_Armato, BarraLateraleDietroDx);
	Carro_Armato = insert_in_list(Carro_Armato, BarraLateraleDietroSx);
	Carro_Armato = insert_in_list(Carro_Armato, CilindroAvantiDx);
	Carro_Armato = insert_in_list(Carro_Armato, CilindroDietroDx);
	Carro_Armato = insert_in_list(Carro_Armato, CilindroSx);
	Carro_Armato = insert_in_list(Carro_Armato, SupportoFanale);
	Carro_Armato = insert_in_list(Carro_Armato, Fanale);
	Carro_Armato = insert_in_list(Carro_Armato, SferaDietroSx);
	Carro_Armato = insert_in_list(Carro_Armato, SferaDietroDx);
	Carro_Armato = insert_in_list(Carro_Armato, CilindroFrontale);
	Carro_Armato = insert_in_list(Carro_Armato, SferettaFrontale);
	Carro_Armato = insert_in_list(Carro_Armato, CilindrettoFrontale);
	Carro_Armato = insert_in_list(Carro_Armato, Numero64);
	Carro_Armato = insert_in_list(Carro_Armato, Stella);
	
	//Torretta_Carro
	Torretta_Carro = create_list(TorrettaBasso, "Torretta_Carro");
	Torretta_Carro = insert_in_list(Torretta_Carro, TorrettaSopra);
	Torretta_Carro = insert_in_list(Torretta_Carro, Torretta);
	Torretta_Carro = insert_in_list(Torretta_Carro, TorrettaEntrata);
	Torretta_Carro = insert_in_list(Torretta_Carro, TorrettaSferetta);
	Torretta_Carro = insert_in_list(Torretta_Carro, TorrettaCannone);
	Torretta_Carro = insert_in_list(Torretta_Carro, TorrettaBasamentoCannone);
	

	/////////////////////////////////////
	/* Importo gli oggetti nella scena */
	/////////////////////////////////////
	Scena = create_list(Pareti,"Scena");
	Scena = insert_in_list(Scena, Pavimento);
	Scena = insert_in_list(Scena, Armadio);
	Scena = insert_in_list(Scena, Quadro);
	Scena = insert_in_list(Scena, Tavolino);
	Scena = insert_in_list(Scena, Carro_Armato);
	Scena = insert_in_list(Scena, Torretta_Carro);

	/* ATTRIBUTO FerroVerde */
	FerroVerde = create_attribute("Ferro_Verde");
	set_color(FerroVerde, 0, 0.537, 0.106, 0.5, 0.78);
	set_reflectivity(FerroVerde, 0.4, 2);
	set_transparency(FerroVerde, 0, 0, 0, 1);

	/* ATTRIBUTO FerroNero */
	FerroNero = create_attribute("Ferro_Nero");
	set_color(FerroNero, 0.29, 0.29, 0.29, 0.5, 0.5);
	set_reflectivity(FerroNero, 0.24, 2);
	set_transparency(FerroNero, 0.87, 0.68, 1, 1.036);

	/* ATTRIBUTO Intonaco */
	Intonaco = create_attribute("Intonaco");
	set_color(Intonaco, 0.6745, 0.7686, 0.7765, 0, 1);
	set_reflectivity(Intonaco, 0.1, 2);
	set_transparency(Intonaco, 0, 0, 0, 0.667);

	/* ATTRIBUTO Legno */
	Legno = create_attribute("Legno");
	set_color(Legno, 0.6, 0.3176, 0, 0.2, 1);
	set_reflectivity(Legno, 0.1, 2);
	set_transparency(Legno, 0, 0, 1, 1);
	
	/* ATTRIBUTO Marmo */
	Marmo = create_attribute("Marmo");
	set_color(Marmo, 1, 1, 1, 0, 1);
	set_reflectivity(Marmo, 0.2, 3);
	set_transparency(Marmo, 0, 0, 0, 1);

	/* ATTRIBUTO Oro */
	Oro = create_attribute("Oro");
	set_color(Oro, 1, 1, 0, 0.5, 0.7);
	set_reflectivity(Oro, 0.5, 2);
	set_transparency(Oro, 0.84, 0.68, 1, 1.2);

	/* ATTRIBUTO Vetro */
	Vetro = create_attribute("Vetro");
	set_color(Vetro, 103/255, 1, 1, 0.5, 0.5);
	set_reflectivity(Vetro, 0.24, 2);
	set_transparency(Vetro, 0.84, 0.68, 1, 1.2);	
	
	///////////////////////
	/* Associa Attributi */
	///////////////////////
	//Pareti
	set_attribute(Parete1, Intonaco);
	set_attribute(Parete2, Intonaco);
	set_attribute(Parete3, Intonaco);

	//Quadro
	set_attribute(CorniceAlto, Legno);
	set_attribute(CorniceBasso, Legno);
	set_attribute(CorniceDx, Legno);
	set_attribute(CorniceSx, Legno);

	//Armadio
	set_attribute(RigaArmadio, Legno);
	
	//Carro Armato Fanale
	set_attribute(Fanale, Vetro);

	//////////////
	/* Textures */
	//////////////
	//Pavimento
	set_domain_texture(Pavimento, Marmo, "Textures/Marmo.hr",0,0.1,0,0.1, TRUE,0.5,0.5);
	
	//Quadro
	set_domain_texture(Tela, Legno, "Textures/Urlo.hr",0,1,0,1, FALSE,0.2,1);
	
	//Tavolino
	set_domain_texture(Tavolino, Legno, "Textures/LegnoTavolino.hr",0,0.01,0,0.01, TRUE,0.5,0.5);
	
	//Armadio
	set_domain_texture(PuntaArmadioAvanti, Legno, "Textures/LegnoArmadio.hr",0,1,0,1, FALSE,0.5,0.5);
	set_domain_texture(PuntaArmadioDietro, Legno, "Textures/LegnoArmadio.hr",0,1,0,1, FALSE,0.5,0.5);
	set_domain_texture(PuntaArmadio, Legno, "Textures/LegnoArmadio.hr",0,1,0,1, FALSE,0.5,0.5);
	set_domain_texture(CorpoArmadio, Legno, "Textures/LegnoArmadio.hr",0,0.001,0,0.001, TRUE,0.5,0.5);
	set_domain_texture(PiedeArmadioDS, Oro, "Textures/Oro.hr",0,0.001,0,0.001, TRUE,0.5,0.5);
	set_domain_texture(PiedeArmadioDD, Oro, "Textures/Oro.hr",0,0.001,0,0.001, TRUE,0.5,0.5);
	set_domain_texture(PiedeArmadioAS, Oro, "Textures/Oro.hr",0,0.001,0,0.001, TRUE,0.5,0.5);
	set_domain_texture(PiedeArmadioAD, Oro, "Textures/Oro.hr",0,0.001,0,0.001, TRUE,0.5,0.5);
	set_domain_texture(PomelloS, Oro, "Textures/Oro.hr",0,0.001,0,0.001, TRUE,0.5,0.5);
	set_domain_texture(PomelloD, Oro, "Textures/Oro.hr",0,0.001,0,0.001, TRUE,0.5,0.5);
	
	//Carro_Armato
	set_domain_texture(CarroLateraleInferiore,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CarroLateraleSuperiore,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CarroSopra,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CarroSotto,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CarroPunta,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CilindroAvantiDx,FerroVerde,"Textures/Cilindro.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CilindroDietroDx,FerroVerde,"Textures/Cilindro.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CilindroSx,FerroVerde,"Textures/Cilindro.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CingoloInternoSx,FerroNero,"Textures/Cingolo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CingoloInternoDx,FerroNero,"Textures/Cingolo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CingoloEsternoSx,FerroNero,"Textures/Cingolo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CingoloEsternoDx,FerroNero,"Textures/Cingolo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CingoloSpessoreAvantiSx,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(CingoloSpessoreAvantiDx,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(CingoloSpessoreDietroSx,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(CingoloSpessoreDietroDx,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(ParafangoSx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(ParafangoDx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(ParafangoInternoSx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(ParafangoInternoDx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(ParafangoSpessoreSx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(ParafangoSpessoreDx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotaDx1,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotaDx2,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotaDx3,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotaDx4,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotaDx5,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(PernoDx1,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(PernoDx2,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(PernoDx3,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(PernoDx4,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(PernoDx5,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(RuotinoAvantiDx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotinoDietroDx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotaSx1,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotaSx2,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotaSx3,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotaSx4,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotaSx5,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(PernoSx1,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(PernoSx2,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(PernoSx3,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(PernoSx4,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(PernoSx5,FerroNero,"Textures/Cingolo.hr",0,0.01,0,0.01,TRUE,0.5,0.5);
	set_domain_texture(RuotinoAvantiSx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(RuotinoDietroSx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(BarraLateraleAvantiSx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(BarraLateraleAvantiDx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(BarraLateraleDietroSx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(BarraLateraleDietroDx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);	
	set_domain_texture(SferaDietroSx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(SferaDietroDx,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(SupportoFanale,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CilindroFrontale,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(SferettaFrontale,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(CilindrettoFrontale,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(Numero64,FerroVerde,"Textures/Numero64.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(Stella,FerroVerde,"Textures/Stella.hr",0,1,0,1,FALSE,0.5,0.5);	
	
	//Torretta_Carro
	set_domain_texture(TorrettaSopra,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(Torretta,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(TorrettaBasso,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(TorrettaEntrata,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(TorrettaSferetta,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(TorrettaBasamentoCannone,FerroVerde,"Textures/VerdeMetallo.hr",0,1,0,1,FALSE,0.5,0.5);
	set_domain_texture(TorrettaCannone,FerroVerde,"Textures/Cannone.hr",0,1,0,1,FALSE,0.5,0.5);
	
	///////////////////////////////////////////////
	/* Riposizionamento Carro Armato nella scena */
	///////////////////////////////////////////////

	set_translate(Stella, 0, 0.01, 0);
	set_translate(Numero64, 0, 0.01, 0);
	set_x_rotate(Stella, 2,1);
	set_x_rotate(Numero64, 2,1);

	set_translate(Carro_Armato, 2.01, 0.01, -9.3);
	set_scale(Carro_Armato, 4,4,4);
	set_z_rotate(Carro_Armato, 45,1);

	set_translate(Torretta_Carro, 2, 0, -9.3);
	set_scale(Torretta_Carro, 4,4,4);
	set_z_rotate(Torretta_Carro, 45,1);

	save_scene("CarroArmato.md","stanza_carro_armato",Scena);
	return(0);
}
